<?php

use Venom\Config;
use Venom\Database\DatabaseHandler;

$config = Config::getInstance();
$config->setVersion(1.0);
$config->setDatabase([
    DatabaseHandler::DB_TYPE => 'mysql', //please change only if you now what you're doing! this can break a lot.
    DatabaseHandler::DB_HOST => '127.0.0.1',
    DatabaseHandler::DB_PORT => '3306', //default port is 3306
    DatabaseHandler::DB_USER => 'venom',
    DatabaseHandler::DB_PASSWORD => 'venomPassword',
    DatabaseHandler::DB_DB => 'venomCMS',
    DatabaseHandler::DB_EXTRA => '' // need to start with ';'
]);

// used for external batch-mailing and error reporting.
// please generate login data at: api.vstz.dev
// api will check this data before processing
$config->setAPIAuth([
    'useAPI' => true,
    'url' => 'https://api.vstz.dev/v1/',
    'user' => 'vstz',
    'pw' => '6(f&B~ZxH3DfC#qJ',
    'logsError' => true
]);

/**
 * BATCH Mailing is something that will send only mails after a specific time like 1 min.
 * it is used to prevent spamming.
 * batch mailing only works via API!... if API not used BatchMailing will disabled... or you have a cron that works like a batch...
 */
$config->setMail([
    'useBatch' => true, //if true it will not send mails.
    'writeToDB' => true, //is needed for batch and is always true if batch is use
    //this stuff is only important if not using batch mailing!
    'host' => 'localhost',
    'port' => '587',
    'useTLS' => true, //use startTLS. is the default case ;) here it's important the security Cert is secure...
    'user' => 'youruser@yourdomain.de',
    'password' => 'this-is-secret',
    'from' => 'info@venom.io'
]);

// all templates are in __DIR__/tpl/
// all themes are in __DIR__/public/theme/
$config->setRender([
    'theme' => 'default', //very important! it will search for a folder with this name.
    'baseFile' => 'base', //this will called after all templates are rendered...
    'useCache' => false, //is only on big systems good
    'cacheName' => 'defaultCache', //this is for bigger systems, ignore it
    'uploadDir' => 'content/'
]);

$config->setMaintainMode(false);
$config->setDevMode(true);
$config->setBaseUrl(''); // can changed to something like that: https://example.com !not enter a / after the url! this will break all

$config->close();